Skip to main content
GET
/
terraform
/
{terraformId}
/
deploymentRestriction
Get terraform deployment restrictions
curl --request GET \
  --url https://api.qovery.com/terraform/{terraformId}/deploymentRestriction \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "mode": "MATCH",
      "type": "PATH",
      "value": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

terraformId
string
required

Response

Get terraform deployment restrictions

results
TerraformDeploymentRestrictionResponse · object[]